cannot.find.zip.align= The zipalign tool was not found in the SDK.

SDK에 Android L과 함께 build-tools와 tools도 20.x 대로 업데이트가 되었다. 최신으로 업데이트 하고 나니 아래와 같은 에러가 뜬다.

(참고로 아래 에러는 인텔리제이 13 CE에서 나온 에러다)

zipalign내용은 zipalign 툴이 SDK 안에 없다며 SDK를 최신으로 업데이트 해보거나 zipalign을 수동으로 앱에 적용하라는 거다. 폴더를 확인해보면 tools\zipalign.exe가 안보이고 build-tools\20.0.0\zipalign.exe 안에 있다.

해결은 간단한데, build-tools\20.0.0\zipalign.exe을 복사해서 tools\ 폴더 안에 넣어주면 된다.

 

댓글 달기

이메일 주소는 공개되지 않습니다.

이 사이트는 스팸을 줄이는 아키스밋을 사용합니다. 댓글이 어떻게 처리되는지 알아보십시오.